"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Customizer {
    constructor(customSchema, logger) {
        this.customSchema = customSchema;
        this.logger = logger;
    }
    customizeTable(table) {
        const customTable = this.customSchema.tables.find(t => t.name && t.name.toLowerCase() === table.name.toLowerCase());
        if (customTable) {
            table.maxLines = customTable.maxLines;
            table.addLines = customTable.addLines;
            table.disableTriggers = customTable.disableTriggers;
            table.before = customTable.before;
            table.after = customTable.after;
        }
        table.columns.forEach((column) => {
            const customColumn = customTable === null || customTable === void 0 ? void 0 : customTable.columns.find(c => c.name.toLowerCase() === column.name.toLowerCase());
            if (customColumn === null || customColumn === void 0 ? void 0 : customColumn.foreignKey)
                column.foreignKey = customColumn.foreignKey;
            if (customColumn === null || customColumn === void 0 ? void 0 : customColumn.values)
                column.values = customColumn.values;
            const globalSetting = this.customSchema.settings.options.find(o => o.dataTypes.includes(column.generator));
            column.options = Object.assign({}, column.options, customColumn === null || customColumn === void 0 ? void 0 : customColumn.options, globalSetting === null || globalSetting === void 0 ? void 0 : globalSetting.options);
        });
    }
}
exports.default = Customizer;
