import { DatabaseConnector } from './database-connector-builder';
import { Table } from '../table-descriptor.interface';
export declare class MariaDBConnector implements DatabaseConnector {
    private database;
    private dbConnection;
    private triggers;
    private logger;
    private triggerBackupFile;
    constructor(ip: string, port: number, database: string, user: string, password: string);
    init(): Promise<void>;
    backupTriggers(tables: string[]): Promise<void>;
    cleanBackupTriggers(): void;
    disableTriggers(table: string): Promise<void>;
    enableTriggers(table: string): Promise<void>;
    getTablesInformation(ignoredTables: string[], tablesToFill: string[]): Promise<Table[]>;
    getColumnsInformation(table: Table): Promise<any[]>;
    getForeignKeys(table: Table): Promise<any[]>;
    countLines(table: Table): Promise<number>;
    emptyTable(table: Table): Promise<void>;
    getValuesForForeignKeys(table: string, column: string, foreignTable: string, foreignColumn: string, limit: number, unique: boolean, condition: string): Promise<any[]>;
    executeRawQuery(query: string): Promise<void>;
    insert(table: string, rows: any[]): Promise<number>;
    destroy(): Promise<void>;
}
